#!/usr/bin/env python

import os

from setuptools import setup, find_packages

long_description = 'PyTopcoder is a library that enables generating a Python template and easy solution testing for topcoder problems.'
if os.path.exists('README.rst'):
    long_description = open('README.rst').read()

if os.path.exists('LICENSE'):
    license = open('LICENSE').read()

setup(name='topcoder',
    version='1.0.2',
    description=' Generates topcoder python template and enables testing',
    long_description='long_description',
    keywords=['topcoder', 'template', 'testing'],
    author='Sasha Bermeister, Ananya (Avi) Das',
    author_email='andas222@gmail.com',
    url='https://github.com/avidas/PyTopCoder/',
    packages=find_packages(),
    package_dir={'topcoder': 'topcoder'},
    license=license,
    install_requires=['BeautifulSoup'],
    classifiers=(
        'Intended Audience :: Developers',
        'Natural Language :: English',
        'Programming Language :: Python',
        'Programming Language :: Python :: 2.6',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.3',
        'Programming Language :: Python :: 3.4'
    ))

"""
package_data, include_package_data, extras_require
"""